Name:           git-extras
Version:        7.4.0
Release:        %mkrel 1
Summary:        Little git extras
Group:          Development/Tools
License:        MIT
URL:            https://github.com/tj/git-extras
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  sed
BuildRequires:  make
Requires:       git

%description
%{name} adds the following extra-commands to git:

abort, alias, archive-file, authors, browse, browse-ci, bulk,
brv, changelog, clear, clear-soft, coauthor, commits-since, contrib,
count, cp, create-branch, delete-branch, delete-merged-branches,
delete-squashed-branches, delete-submodule, delete-tag, delta,
effort, extras, feature, force-clone, fork, fresh-branch, get,
gh-pages, graft, guilt, ignore, ignore-io, info, local-commits,
lock, locked, magic, merge-into, merge-repo, missing, mr, obliterate,
paste, pr,  psykorebase, pull-request, reauthor, rebase-patch,
release, rename-branch, rename-file, rename-tag, rename-remote,
repl, reset-file, root, rscp, scp, sed, setup, show-merged-branches,
show-tree, show-unmerged-branches, stamp, squash, standup, summary,
sync, touch, undo, unlock and utimes.

For more information about the extra-commands, see the included
README.md, HTML, mark-down or man-pages.


%prep
%autosetup
# scripts already use bash
# remove `/usr/bin/env` from hashbang
sed -i -e "s#/usr/bin/.*sh#/bin/bash#g" \
    bin/*

#Disable self-update feature
cat << EOF > bin/git-extras
#!/bin/sh
echo "Self-update feature disabled by maintainer."
EOF


%build
# NOTHING TO DO!!!

%install
%make_install PREFIX=%{_prefix} SYSCONFDIR=%{_datadir}
mkdir -p html md
install -pm 0644 man/*.html html
install -pm 0644 man/*.md md

%files
%doc AUTHORS Commands.md History.md Readme.md html/ md/
%license LICENSE
%config(noreplace) %{_datadir}/bash-completion/completions/git-extras
%{_bindir}/*
%{_mandir}/man*/*


%changelog
* Sat Jul 05 2025 daviddavid <daviddavid> 7.4.0-1.mga10
+ Revision: 2246958
- new version: 7.4.0

* Mon Jun 30 2025 umeabot <umeabot> 7.3.0-2.mga10
+ Revision: 2229386
- Mageia 10 Mass Rebuild

* Mon Oct 21 2024 daviddavid <daviddavid> 7.3.0-1.mga10
+ Revision: 2109608
- initial package git-extras

